prompt PL/SQL Developer import file
prompt Created on Mittwoch, 3. September 2014 by Cornel
set feedback off
set define off
prompt Creating PERSONEN...
create table PERSONEN
(
  id       NUMBER(10) not null,
  vorname  VARCHAR2(100),
  nachname VARCHAR2(100)
)
;
alter table PERSONEN
  add constraint PK_PERSON primary key (ID);

prompt Creating BEZIEHUNGEN...
create table BEZIEHUNGEN
(
  id1 NUMBER(10),
  id2 NUMBER(10),
  von DATE,
  bis DATE
)
;
alter table BEZIEHUNGEN
  add constraint FK_BEZ_PERS_ID1 foreign key (ID1)
  references PERSONEN (ID);
alter table BEZIEHUNGEN
  add constraint FK_BEZ_PERS_ID2 foreign key (ID2)
  references PERSONEN (ID);

prompt Creating BEZIEHUNGEN_LOOP...
create table BEZIEHUNGEN_LOOP
(
  id1 NUMBER(10),
  id2 NUMBER(10),
  von DATE,
  bis DATE
)
;

prompt Creating BEZIEHUNGEN2...
create table BEZIEHUNGEN2
(
  id1 NUMBER(10),
  id2 NUMBER(10),
  von DATE,
  bis DATE
)
;

prompt Creating KANTEN...
create table KANTEN
(
  von        CHAR(1),
  zu         CHAR(1),
  gewichtung INTEGER
)
;

prompt Disabling triggers for PERSONEN...
alter table PERSONEN disable all triggers;
prompt Disabling triggers for BEZIEHUNGEN...
alter table BEZIEHUNGEN disable all triggers;
prompt Disabling triggers for BEZIEHUNGEN_LOOP...
alter table BEZIEHUNGEN_LOOP disable all triggers;
prompt Disabling triggers for BEZIEHUNGEN2...
alter table BEZIEHUNGEN2 disable all triggers;
prompt Disabling triggers for KANTEN...
alter table KANTEN disable all triggers;
prompt Disabling foreign key constraints for BEZIEHUNGEN...
alter table BEZIEHUNGEN disable constraint FK_BEZ_PERS_ID1;
alter table BEZIEHUNGEN disable constraint FK_BEZ_PERS_ID2;
prompt Loading PERSONEN...
insert into PERSONEN (id, vorname, nachname)
values (1, 'Cornel', 'Brcher');
insert into PERSONEN (id, vorname, nachname)
values (2, 'Frank', 'Jdes');
insert into PERSONEN (id, vorname, nachname)
values (3, 'Wulf', 'Kollmann');
insert into PERSONEN (id, vorname, nachname)
values (4, 'Mario', 'Haupt');
insert into PERSONEN (id, vorname, nachname)
values (5, 'Uwe', 'Kchler');
insert into PERSONEN (id, vorname, nachname)
values (6, 'Andreas', 'Takano');
insert into PERSONEN (id, vorname, nachname)
values (7, 'Gerhard', 'Elender');
insert into PERSONEN (id, vorname, nachname)
values (8, 'Stefan', 'Brock');
insert into PERSONEN (id, vorname, nachname)
values (9, 'Sebastian', 'Oltmann');
insert into PERSONEN (id, vorname, nachname)
values (10, 'Volker', 'Bach');
insert into PERSONEN (id, vorname, nachname)
values (11, 'Sven', 'Eisenmann');
insert into PERSONEN (id, vorname, nachname)
values (12, 'Andreas', 'Berger');
insert into PERSONEN (id, vorname, nachname)
values (13, 'Raymund', 'Bley');
insert into PERSONEN (id, vorname, nachname)
values (14, 'Ernst-Heinrich', 'Prfener');
insert into PERSONEN (id, vorname, nachname)
values (15, 'Karifa', 'Camara');
insert into PERSONEN (id, vorname, nachname)
values (16, 'Jrgen', 'Weinrich');
insert into PERSONEN (id, vorname, nachname)
values (17, 'Jonathan', 'Rautschlein');
insert into PERSONEN (id, vorname, nachname)
values (18, 'Christian', 'Pfaff');
insert into PERSONEN (id, vorname, nachname)
values (19, 'Irmin', 'Burdekat');
insert into PERSONEN (id, vorname, nachname)
values (20, 'Kanuschlssel', null);
insert into PERSONEN (id, vorname, nachname)
values (21, 'Steffen', 'Dralle');
insert into PERSONEN (id, vorname, nachname)
values (22, 'Sven', 'Brmer');
insert into PERSONEN (id, vorname, nachname)
values (23, 'Maverick', 'Lawson');
insert into PERSONEN (id, vorname, nachname)
values (24, 'Larry', 'Ellison');
insert into PERSONEN (id, vorname, nachname)
values (25, 'Emil', 'Markmann');
insert into PERSONEN (id, vorname, nachname)
values (26, 'Gregor', null);
insert into PERSONEN (id, vorname, nachname)
values (27, 'Arkadi', null);
insert into PERSONEN (id, vorname, nachname)
values (28, 'Ned', 'Broker');
insert into PERSONEN (id, vorname, nachname)
values (29, 'Bob', 'Spike');
insert into PERSONEN (id, vorname, nachname)
values (30, 'Tim', null);
insert into PERSONEN (id, vorname, nachname)
values (31, 'Struppi', null);
insert into PERSONEN (id, vorname, nachname)
values (32, 'Philippe', null);
insert into PERSONEN (id, vorname, nachname)
values (33, 'Eugene', 'Tackleberry');
insert into PERSONEN (id, vorname, nachname)
values (34, 'Leeroy', 'Jenkins');
insert into PERSONEN (id, vorname, nachname)
values (35, 'Leonard', null);
insert into PERSONEN (id, vorname, nachname)
values (36, 'Sheldon', null);
insert into PERSONEN (id, vorname, nachname)
values (37, 'Howard', null);
insert into PERSONEN (id, vorname, nachname)
values (38, 'Rajesh', null);
insert into PERSONEN (id, vorname, nachname)
values (39, 'Joe', 'Dalton');
insert into PERSONEN (id, vorname, nachname)
values (40, 'William', 'Dalton');
insert into PERSONEN (id, vorname, nachname)
values (41, 'Jack', 'Dalton');
insert into PERSONEN (id, vorname, nachname)
values (42, 'Averell', 'Dalton');
insert into PERSONEN (id, vorname, nachname)
values (43, 'Hogger', null);
commit;
prompt 43 records loaded
prompt Loading BEZIEHUNGEN...
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 7, to_date('01-02-2012', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 2, to_date('01-07-1980', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (2, 16, to_date('01-07-1999', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 3, to_date('01-12-2007', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 4, to_date('01-10-2006', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 5, to_date('01-09-1998', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 13, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 14, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (13, 21, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (14, 21, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 15, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 18, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (18, 19, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (18, 20, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (19, 20, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (2, 24, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 23, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (23, 34, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 28, to_date('01-09-2010', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (28, 29, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (29, 35, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (35, 36, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (35, 37, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (35, 38, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (36, 37, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (36, 38, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (37, 38, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (2, 33, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 6, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (5, 7, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (1, 25, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (25, 26, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (25, 27, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (2, 29, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (39, 40, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (39, 41, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (39, 42, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (40, 41, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (40, 42, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (41, 42, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (2, 42, to_date('01-01-1000', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN (id1, id2, von, bis)
values (23, 43, to_date('01-01-1000', 'dd-mm-yyyy'), null);
commit;
prompt 42 records loaded
prompt Loading BEZIEHUNGEN_LOOP...
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (1, 2, to_date('01-07-1980', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (2, 16, to_date('01-07-1999', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (1, 3, to_date('01-12-2007', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (1, 4, to_date('01-10-2006', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (1, 5, to_date('01-09-1998', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (1, 13, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (1, 14, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (13, 21, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (14, 21, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (1, 15, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (1, 18, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (18, 19, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (18, 20, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (19, 20, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (2, 24, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (1, 23, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (23, 34, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (1, 28, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (28, 29, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (29, 35, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (35, 36, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (35, 37, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (35, 38, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (36, 37, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (36, 38, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (37, 38, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (2, 33, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (1, 6, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (5, 7, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (1, 25, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (25, 26, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (25, 27, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (2, 29, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (39, 40, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (39, 41, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (39, 42, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (40, 41, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (40, 42, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (41, 42, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (2, 42, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (23, 43, null, null);
insert into BEZIEHUNGEN_LOOP (id1, id2, von, bis)
values (36, 1, null, null);
commit;
prompt 42 records loaded
prompt Loading BEZIEHUNGEN2...
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (1, 2, to_date('01-07-1980', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (2, 16, to_date('01-07-1999', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (1, 3, to_date('01-12-2007', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (1, 4, to_date('01-10-2006', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (1, 5, to_date('01-09-1998', 'dd-mm-yyyy'), null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (1, 13, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (1, 14, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (13, 21, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (14, 21, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (1, 15, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (1, 18, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (18, 19, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (18, 20, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (19, 20, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (2, 24, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (1, 23, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (23, 34, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (1, 28, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (28, 29, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (29, 35, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (35, 36, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (35, 37, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (35, 38, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (36, 37, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (36, 38, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (37, 38, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (2, 33, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (1, 6, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (5, 7, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (1, 25, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (25, 26, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (25, 27, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (2, 29, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (39, 40, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (39, 41, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (39, 42, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (40, 41, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (40, 42, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (41, 42, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (2, 42, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (2, 1, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (16, 2, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (3, 1, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (4, 1, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (5, 1, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (13, 1, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (14, 1, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (21, 13, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (21, 14, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (15, 1, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (18, 1, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (19, 18, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (20, 18, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (20, 19, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (24, 2, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (23, 1, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (34, 23, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (28, 1, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (29, 28, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (35, 29, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (36, 35, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (37, 35, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (38, 35, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (37, 36, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (38, 36, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (38, 37, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (33, 2, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (6, 1, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (7, 5, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (25, 1, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (26, 25, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (27, 25, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (29, 2, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (40, 39, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (41, 39, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (42, 39, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (41, 40, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (42, 40, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (42, 41, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (42, 2, null, null);
insert into BEZIEHUNGEN2 (id1, id2, von, bis)
values (43, 23, null, null);
commit;
prompt 81 records loaded
prompt Loading KANTEN...
insert into KANTEN (von, zu, gewichtung)
values ('A', 'B', 5);
insert into KANTEN (von, zu, gewichtung)
values ('B', 'C', 10);
insert into KANTEN (von, zu, gewichtung)
values ('C', 'D', 5);
insert into KANTEN (von, zu, gewichtung)
values ('A', 'E', 10);
insert into KANTEN (von, zu, gewichtung)
values ('E', 'D', 20);
insert into KANTEN (von, zu, gewichtung)
values ('A', 'F', 2);
insert into KANTEN (von, zu, gewichtung)
values ('F', 'G', 6);
insert into KANTEN (von, zu, gewichtung)
values ('G', 'H', 3);
insert into KANTEN (von, zu, gewichtung)
values ('H', 'D', 1);
insert into KANTEN (von, zu, gewichtung)
values ('A', 'I', 8);
insert into KANTEN (von, zu, gewichtung)
values ('A', 'L', 2);
insert into KANTEN (von, zu, gewichtung)
values ('I', 'L', 7);
insert into KANTEN (von, zu, gewichtung)
values ('B', 'J', 2);
insert into KANTEN (von, zu, gewichtung)
values ('D', 'K', 9);
insert into KANTEN (von, zu, gewichtung)
values ('F', 'M', 1);
insert into KANTEN (von, zu, gewichtung)
values ('H', 'N', 3);
insert into KANTEN (von, zu, gewichtung)
values ('H', 'O', 1);
insert into KANTEN (von, zu, gewichtung)
values ('N', 'O', 2);
insert into KANTEN (von, zu, gewichtung)
values ('D', 'P', 7);
insert into KANTEN (von, zu, gewichtung)
values ('B', 'A', 5);
insert into KANTEN (von, zu, gewichtung)
values ('C', 'B', 10);
insert into KANTEN (von, zu, gewichtung)
values ('D', 'C', 5);
insert into KANTEN (von, zu, gewichtung)
values ('E', 'A', 10);
insert into KANTEN (von, zu, gewichtung)
values ('D', 'E', 20);
insert into KANTEN (von, zu, gewichtung)
values ('F', 'A', 2);
insert into KANTEN (von, zu, gewichtung)
values ('G', 'F', 6);
insert into KANTEN (von, zu, gewichtung)
values ('H', 'G', 3);
insert into KANTEN (von, zu, gewichtung)
values ('D', 'H', 1);
insert into KANTEN (von, zu, gewichtung)
values ('I', 'A', 8);
insert into KANTEN (von, zu, gewichtung)
values ('L', 'A', 2);
insert into KANTEN (von, zu, gewichtung)
values ('L', 'I', 7);
insert into KANTEN (von, zu, gewichtung)
values ('J', 'B', 2);
insert into KANTEN (von, zu, gewichtung)
values ('K', 'D', 9);
insert into KANTEN (von, zu, gewichtung)
values ('M', 'F', 1);
insert into KANTEN (von, zu, gewichtung)
values ('N', 'H', 3);
insert into KANTEN (von, zu, gewichtung)
values ('O', 'H', 1);
insert into KANTEN (von, zu, gewichtung)
values ('O', 'N', 2);
insert into KANTEN (von, zu, gewichtung)
values ('P', 'D', 7);
commit;
prompt 38 records loaded
prompt Enabling foreign key constraints for BEZIEHUNGEN...
alter table BEZIEHUNGEN enable constraint FK_BEZ_PERS_ID1;
alter table BEZIEHUNGEN enable constraint FK_BEZ_PERS_ID2;
prompt Enabling triggers for PERSONEN...
alter table PERSONEN enable all triggers;
prompt Enabling triggers for BEZIEHUNGEN...
alter table BEZIEHUNGEN enable all triggers;
prompt Enabling triggers for BEZIEHUNGEN_LOOP...
alter table BEZIEHUNGEN_LOOP enable all triggers;
prompt Enabling triggers for BEZIEHUNGEN2...
alter table BEZIEHUNGEN2 enable all triggers;
prompt Enabling triggers for KANTEN...
alter table KANTEN enable all triggers;
set feedback on
set define on
prompt Done.
