prompt PL/SQL Developer import file
prompt Created on Dienstag, 2. September 2014 by Cornel
set feedback off
set define off
prompt Creating BRANCHESOFTRADE...
create table BRANCHESOFTRADE
(
  branchoftradeid   NUMBER(11) not null,
  branchoftradename VARCHAR2(50 CHAR)
)
;
alter table BRANCHESOFTRADE
  add constraint PK_BRANCHESOFTRADE primary key (BRANCHOFTRADEID);

prompt Creating COUNTRIES...
create table COUNTRIES
(
  countrycode VARCHAR2(5 CHAR) not null,
  countryname VARCHAR2(50 CHAR)
)
;
alter table COUNTRIES
  add constraint PK_COUNTRIES primary key (COUNTRYCODE);

prompt Creating TICKETTYPES...
create table TICKETTYPES
(
  tickettypeid   NUMBER(11) not null,
  tickettypename VARCHAR2(50 CHAR)
)
;
alter table TICKETTYPES
  add constraint PK_TICKETTYPES primary key (TICKETTYPEID);

prompt Creating TRADEFAIRTYPES...
create table TRADEFAIRTYPES
(
  tradefairtypeid   NUMBER(11) not null,
  tradefairtypename VARCHAR2(50 CHAR)
)
;
alter table TRADEFAIRTYPES
  add constraint PK_TRADEFAIRTYPES primary key (TRADEFAIRTYPEID);

prompt Creating TRADEFAIRS...
create table TRADEFAIRS
(
  tradefairid     NUMBER(11) not null,
  tradefairname   VARCHAR2(50 CHAR),
  tradefairtypeid NUMBER(11),
  startdate       DATE,
  enddate         DATE
)
;
create index TRADEFAIRTYPEID on TRADEFAIRS (TRADEFAIRTYPEID);
alter table TRADEFAIRS
  add constraint PK_TRADEFAIRS primary key (TRADEFAIRID);
alter table TRADEFAIRS
  add constraint TRAIDFAIRTYPESTRADEFAIRS foreign key (TRADEFAIRTYPEID)
  references TRADEFAIRTYPES (TRADEFAIRTYPEID);

prompt Creating STATES...
create table STATES
(
  statecode   VARCHAR2(5 CHAR) not null,
  state       VARCHAR2(50 CHAR),
  countrycode VARCHAR2(5 CHAR)
)
;
create index FK_COUNTRIESSTATES on STATES (COUNTRYCODE);
alter table STATES
  add constraint PK_STATES primary key (STATECODE);
alter table STATES
  add constraint COUNTRIESSTATES foreign key (COUNTRYCODE)
  references COUNTRIES (COUNTRYCODE);

prompt Creating VISITORS...
create table VISITORS
(
  visitorid   NUMBER(11) not null,
  company     VARCHAR2(50 CHAR),
  lastname    VARCHAR2(50 CHAR),
  firstname   VARCHAR2(50 CHAR),
  street      VARCHAR2(50 CHAR),
  zip         VARCHAR2(25 CHAR),
  city        VARCHAR2(50 CHAR),
  countrycode VARCHAR2(5 CHAR),
  statecode   VARCHAR2(5 CHAR),
  phone       VARCHAR2(50 CHAR),
  fax         VARCHAR2(50 CHAR),
  e_mail      VARCHAR2(50 CHAR)
)
;
create index FK_COUNTRIESVISITORS on VISITORS (COUNTRYCODE);
create index FK_STATESVISITORS on VISITORS (STATECODE);
alter table VISITORS
  add constraint PK_VISITORS primary key (VISITORID);
alter table VISITORS
  add constraint COUNTRIESVISITORS foreign key (COUNTRYCODE)
  references COUNTRIES (COUNTRYCODE);
alter table VISITORS
  add constraint STATESVISITORS foreign key (STATECODE)
  references STATES (STATECODE);

prompt Creating TICKETS...
create table TICKETS
(
  ticketid     NUMBER(11) not null,
  tradefairid  NUMBER(11),
  visitorid    NUMBER(11),
  tickettypeid NUMBER(11),
  ticketdate   DATE,
  price        NUMBER(15,4) default 0
)
;
create index FK_TICKETTYPESTICKETS on TICKETS (TICKETTYPEID);
create index TRADEFAIRID on TICKETS (TRADEFAIRID);
create index VISITORID on TICKETS (VISITORID);
alter table TICKETS
  add constraint PK_TICKETS primary key (TICKETID);
alter table TICKETS
  add constraint TICKETTYPESTICKETS foreign key (TICKETTYPEID)
  references TICKETTYPES (TICKETTYPEID);
alter table TICKETS
  add constraint TRADEFAIRSTICKETS foreign key (TRADEFAIRID)
  references TRADEFAIRS (TRADEFAIRID);
alter table TICKETS
  add constraint VISITORSTICKETS foreign key (VISITORID)
  references VISITORS (VISITORID);

prompt Creating ENTRIES...
create table ENTRIES
(
  entryid   NUMBER(11) not null,
  ticketid  NUMBER(11),
  entrydate DATE
)
;
create index TICKETID on ENTRIES (TICKETID);
alter table ENTRIES
  add constraint PK_ENTRIES primary key (ENTRYID);
alter table ENTRIES
  add constraint TICKETSENTRIES foreign key (TICKETID)
  references TICKETS (TICKETID);

prompt Creating VISITORS2BRANCHESOFTRADE...
create table VISITORS2BRANCHESOFTRADE
(
  visitorid       NUMBER(11) not null,
  branchoftradeid NUMBER(11) not null
)
;
create index FK_BRANCHESOFTRADEVISITORBRA_1 on VISITORS2BRANCHESOFTRADE (BRANCHOFTRADEID);
create index VISITORID_1_1 on VISITORS2BRANCHESOFTRADE (VISITORID);
alter table VISITORS2BRANCHESOFTRADE
  add constraint PK_VISITORS2BRANCHESOFTRADE primary key (VISITORID, BRANCHOFTRADEID);
alter table VISITORS2BRANCHESOFTRADE
  add constraint BRANCHESOFTRADEVISITORBRANCH foreign key (BRANCHOFTRADEID)
  references BRANCHESOFTRADE (BRANCHOFTRADEID);
alter table VISITORS2BRANCHESOFTRADE
  add constraint VISITORSVISITORS2BRANCHESOFTRA foreign key (VISITORID)
  references VISITORS (VISITORID);

prompt Disabling triggers for BRANCHESOFTRADE...
alter table BRANCHESOFTRADE disable all triggers;
prompt Disabling triggers for COUNTRIES...
alter table COUNTRIES disable all triggers;
prompt Disabling triggers for TICKETTYPES...
alter table TICKETTYPES disable all triggers;
prompt Disabling triggers for TRADEFAIRTYPES...
alter table TRADEFAIRTYPES disable all triggers;
prompt Disabling triggers for TRADEFAIRS...
alter table TRADEFAIRS disable all triggers;
prompt Disabling triggers for STATES...
alter table STATES disable all triggers;
prompt Disabling triggers for VISITORS...
alter table VISITORS disable all triggers;
prompt Disabling triggers for TICKETS...
alter table TICKETS disable all triggers;
prompt Disabling triggers for ENTRIES...
alter table ENTRIES disable all triggers;
prompt Disabling triggers for VISITORS2BRANCHESOFTRADE...
alter table VISITORS2BRANCHESOFTRADE disable all triggers;
prompt Disabling foreign key constraints for TRADEFAIRS...
alter table TRADEFAIRS disable constraint TRAIDFAIRTYPESTRADEFAIRS;
prompt Disabling foreign key constraints for STATES...
alter table STATES disable constraint COUNTRIESSTATES;
prompt Disabling foreign key constraints for VISITORS...
alter table VISITORS disable constraint COUNTRIESVISITORS;
alter table VISITORS disable constraint STATESVISITORS;
prompt Disabling foreign key constraints for TICKETS...
alter table TICKETS disable constraint TICKETTYPESTICKETS;
alter table TICKETS disable constraint TRADEFAIRSTICKETS;
alter table TICKETS disable constraint VISITORSTICKETS;
prompt Disabling foreign key constraints for ENTRIES...
alter table ENTRIES disable constraint TICKETSENTRIES;
prompt Disabling foreign key constraints for VISITORS2BRANCHESOFTRADE...
alter table VISITORS2BRANCHESOFTRADE disable constraint BRANCHESOFTRADEVISITORBRANCH;
alter table VISITORS2BRANCHESOFTRADE disable constraint VISITORSVISITORS2BRANCHESOFTRA;
prompt Loading BRANCHESOFTRADE...
insert into BRANCHESOFTRADE (branchoftradeid, branchoftradename)
values (1, 'Software');
insert into BRANCHESOFTRADE (branchoftradeid, branchoftradename)
values (2, 'Hardware');
insert into BRANCHESOFTRADE (branchoftradeid, branchoftradename)
values (3, 'Dealer');
insert into BRANCHESOFTRADE (branchoftradeid, branchoftradename)
values (4, 'Finance');
commit;
prompt 4 records loaded
prompt Loading COUNTRIES...
insert into COUNTRIES (countrycode, countryname)
values ('CH', 'Switzerland');
insert into COUNTRIES (countrycode, countryname)
values ('DE', 'Germany');
insert into COUNTRIES (countrycode, countryname)
values ('FR', 'France');
insert into COUNTRIES (countrycode, countryname)
values ('GB', 'United Kingdom');
insert into COUNTRIES (countrycode, countryname)
values ('IT', 'Italy');
insert into COUNTRIES (countrycode, countryname)
values ('US', 'United States');
commit;
prompt 6 records loaded
prompt Loading TICKETTYPES...
insert into TICKETTYPES (tickettypeid, tickettypename)
values (1, 'Day Pass');
insert into TICKETTYPES (tickettypeid, tickettypename)
values (2, 'Two Days Pass');
insert into TICKETTYPES (tickettypeid, tickettypename)
values (3, 'Trade Fair Pass');
insert into TICKETTYPES (tickettypeid, tickettypename)
values (4, 'Yearly Pass');
commit;
prompt 4 records loaded
prompt Loading TRADEFAIRTYPES...
insert into TRADEFAIRTYPES (tradefairtypeid, tradefairtypename)
values (1, 'Gaming Convention');
insert into TRADEFAIRTYPES (tradefairtypeid, tradefairtypename)
values (2, 'Breeding Fair');
commit;
prompt 2 records loaded
prompt Loading TRADEFAIRS...
insert into TRADEFAIRS (tradefairid, tradefairname, tradefairtypeid, startdate, enddate)
values (1, 'International Gaming Convention 2013', 1, to_date('26-10-2013', 'dd-mm-yyyy'), to_date('30-10-2013', 'dd-mm-yyyy'));
insert into TRADEFAIRS (tradefairid, tradefairname, tradefairtypeid, startdate, enddate)
values (2, 'Chicken Breeding Fair 2013', 2, to_date('01-12-2013', 'dd-mm-yyyy'), to_date('05-12-2013', 'dd-mm-yyyy'));
insert into TRADEFAIRS (tradefairid, tradefairname, tradefairtypeid, startdate, enddate)
values (3, 'International Gaming Convention 2014', 1, to_date('17-01-2014', 'dd-mm-yyyy'), to_date('21-01-2014', 'dd-mm-yyyy'));
insert into TRADEFAIRS (tradefairid, tradefairname, tradefairtypeid, startdate, enddate)
values (4, 'Chicken Breeding Fair 2014', 2, to_date('01-02-2014', 'dd-mm-yyyy'), to_date('05-02-2014', 'dd-mm-yyyy'));
commit;
prompt 4 records loaded
prompt Loading STATES...
insert into STATES (statecode, state, countrycode)
values ('BB', 'Brandenburg', 'DE');
insert into STATES (statecode, state, countrycode)
values ('BE', 'Berlin', 'DE');
insert into STATES (statecode, state, countrycode)
values ('BW', 'Baden-Wrttemberg', 'DE');
insert into STATES (statecode, state, countrycode)
values ('BY', 'Bayern', 'DE');
insert into STATES (statecode, state, countrycode)
values ('HB', 'Bremen', 'DE');
insert into STATES (statecode, state, countrycode)
values ('HE', 'Hessen', 'DE');
insert into STATES (statecode, state, countrycode)
values ('HH', 'Hamburg', 'DE');
insert into STATES (statecode, state, countrycode)
values ('MV', 'Mecklenburg-Vorpommern', 'DE');
insert into STATES (statecode, state, countrycode)
values ('NI', 'Niedersachsen', 'DE');
insert into STATES (statecode, state, countrycode)
values ('NW', 'Nordrhein-Westfalen', 'DE');
insert into STATES (statecode, state, countrycode)
values ('NY', 'New York', 'US');
insert into STATES (statecode, state, countrycode)
values ('RP', 'Rheinland-Pfalz', 'DE');
insert into STATES (statecode, state, countrycode)
values ('SH', 'Schleswig-Holstein', 'DE');
insert into STATES (statecode, state, countrycode)
values ('SL', 'Saarland', 'DE');
insert into STATES (statecode, state, countrycode)
values ('SN', 'Sachsen', 'DE');
insert into STATES (statecode, state, countrycode)
values ('ST', 'Sachsen-Anhalt', 'DE');
insert into STATES (statecode, state, countrycode)
values ('TH', 'Thringen', 'DE');
commit;
prompt 17 records loaded
prompt Loading VISITORS...
insert into VISITORS (visitorid, company, lastname, firstname, street, zip, city, countrycode, statecode, phone, fax, e_mail)
values (1, 'Miller Ltd.', 'Miller', 'Sean', 'Elm Street', 'WC2E 7LB', 'London', 'GB', null, null, null, null);
insert into VISITORS (visitorid, company, lastname, firstname, street, zip, city, countrycode, statecode, phone, fax, e_mail)
values (2, 'Mller GmbH', 'Mller', 'Siegfried', 'Bahnhofstr. 12', '60311', 'Frankfurt', 'DE', 'HE', null, null, null);
insert into VISITORS (visitorid, company, lastname, firstname, street, zip, city, countrycode, statecode, phone, fax, e_mail)
values (3, 'Cordonbleu SA', 'Cordonbleu', 'Pierre', 'Rue de la Concorde 12', '75001', 'Paris', 'FR', null, null, null, null);
insert into VISITORS (visitorid, company, lastname, firstname, street, zip, city, countrycode, statecode, phone, fax, e_mail)
values (4, 'Meier AG', 'Meier', 'Michael', 'Hauptstr. 23', '64283', 'Darmstadt', 'DE', 'HE', null, null, null);
insert into VISITORS (visitorid, company, lastname, firstname, street, zip, city, countrycode, statecode, phone, fax, e_mail)
values (5, 'Schmidt OHG', 'Schmidt', 'Willi', 'Postweg 17', '20095', 'Hamburg', 'DE', 'HH', null, null, null);
insert into VISITORS (visitorid, company, lastname, firstname, street, zip, city, countrycode, statecode, phone, fax, e_mail)
values (6, 'Schulze GmbH', 'Schulze', 'Max', 'Feldbergstr. 77', '79098', 'Freiburg', 'DE', 'BW', null, null, null);
insert into VISITORS (visitorid, company, lastname, firstname, street, zip, city, countrycode, statecode, phone, fax, e_mail)
values (7, 'Camembert SA', 'Camembert', 'Jaques', 'Avenue Fromage 3', '13011', 'Marseille', 'FR', null, null, null, null);
insert into VISITORS (visitorid, company, lastname, firstname, street, zip, city, countrycode, statecode, phone, fax, e_mail)
values (8, 'Foster plc', 'Foster', 'Henry', 'Main Street', 'EH14 2SP', 'Edinburgh', 'GB', null, null, null, null);
insert into VISITORS (visitorid, company, lastname, firstname, street, zip, city, countrycode, statecode, phone, fax, e_mail)
values (9, 'Zocker AG', 'Zocker', 'Karl', 'Zuse-Str. 83', '80331', 'Mnchen', 'DE', 'BY', null, null, null);
insert into VISITORS (visitorid, company, lastname, firstname, street, zip, city, countrycode, statecode, phone, fax, e_mail)
values (10, 'Baller GmbH', 'Baller', 'Toni', 'Malle-Weg 93', '63065', 'Offenbach', 'DE', 'HE', null, null, null);
insert into VISITORS (visitorid, company, lastname, firstname, street, zip, city, countrycode, statecode, phone, fax, e_mail)
values (11, 'Cambozola s.r.l.', 'Toni', 'Cambozola', 'Via Roma 98', '20100', 'Milano', 'IT', null, null, null, null);
insert into VISITORS (visitorid, company, lastname, firstname, street, zip, city, countrycode, statecode, phone, fax, e_mail)
values (12, 'Cheddar plc', 'Cheddar', 'Charles', 'Cracker Street 5', 'BN2 0GN', 'Brighton', 'GB', null, null, null, null);
commit;
prompt 12 records loaded
prompt Loading TICKETS...
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (1, 1, 1, 1, to_date('26-10-2013', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (2, 1, 2, 1, to_date('26-10-2013', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (3, 1, 3, 2, to_date('26-10-2013', 'dd-mm-yyyy'), 24);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (4, 1, 1, 3, to_date('26-10-2013', 'dd-mm-yyyy'), 50);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (5, 1, 4, 4, to_date('26-10-2013', 'dd-mm-yyyy'), 100);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (6, 1, 5, 1, to_date('26-10-2013', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (7, 1, 6, 1, to_date('27-10-2013', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (8, 1, 7, 1, to_date('26-10-2013', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (9, 1, 7, 1, to_date('29-10-2013', 'dd-mm-yyyy'), 21);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (10, 1, 8, 2, to_date('27-10-2013', 'dd-mm-yyyy'), 24);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (11, 1, 9, 3, to_date('26-10-2013', 'dd-mm-yyyy'), 50);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (12, 1, 10, 1, to_date('28-10-2013', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (13, 1, 11, 1, to_date('30-10-2013', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (21, 2, 1, 1, to_date('01-12-2013', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (22, 2, 2, 1, to_date('01-12-2013', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (23, 2, 3, 2, to_date('01-12-2013', 'dd-mm-yyyy'), 24);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (24, 2, 1, 3, to_date('01-12-2013', 'dd-mm-yyyy'), 50);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (25, 2, 4, 4, to_date('01-12-2013', 'dd-mm-yyyy'), 100);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (26, 2, 5, 1, to_date('01-12-2013', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (27, 2, 6, 1, to_date('02-12-2013', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (28, 2, 7, 1, to_date('01-12-2013', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (29, 2, 7, 1, to_date('04-12-2013', 'dd-mm-yyyy'), 21);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (30, 2, 8, 2, to_date('02-12-2013', 'dd-mm-yyyy'), 24);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (31, 2, 9, 3, to_date('01-12-2013', 'dd-mm-yyyy'), 50);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (41, 3, 1, 1, to_date('17-01-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (42, 3, 2, 1, to_date('17-01-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (43, 3, 3, 2, to_date('17-01-2014', 'dd-mm-yyyy'), 24);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (44, 3, 1, 3, to_date('17-01-2014', 'dd-mm-yyyy'), 50);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (45, 3, 4, 4, to_date('17-01-2014', 'dd-mm-yyyy'), 100);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (46, 3, 5, 1, to_date('17-01-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (47, 3, 6, 1, to_date('18-01-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (48, 3, 7, 1, to_date('17-01-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (49, 3, 7, 1, to_date('20-01-2014', 'dd-mm-yyyy'), 21);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (50, 3, 8, 2, to_date('18-01-2014', 'dd-mm-yyyy'), 24);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (51, 3, 9, 3, to_date('17-01-2014', 'dd-mm-yyyy'), 50);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (52, 3, 10, 1, to_date('19-01-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (53, 3, 12, 1, to_date('21-01-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (61, 4, 1, 1, to_date('01-02-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (62, 4, 2, 1, to_date('01-02-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (63, 4, 3, 2, to_date('01-02-2014', 'dd-mm-yyyy'), 24);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (64, 4, 1, 3, to_date('02-02-2014', 'dd-mm-yyyy'), 50);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (65, 4, 4, 4, to_date('01-02-2014', 'dd-mm-yyyy'), 100);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (66, 4, 5, 1, to_date('01-02-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (67, 4, 6, 1, to_date('02-02-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (68, 4, 7, 1, to_date('01-02-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (69, 4, 7, 1, to_date('04-02-2014', 'dd-mm-yyyy'), 21);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (70, 4, 8, 2, to_date('02-02-2014', 'dd-mm-yyyy'), 24);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (71, 4, 9, 3, to_date('01-02-2014', 'dd-mm-yyyy'), 50);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (72, 4, 10, 1, to_date('03-02-2014', 'dd-mm-yyyy'), 12);
insert into TICKETS (ticketid, tradefairid, visitorid, tickettypeid, ticketdate, price)
values (73, 4, 11, 1, to_date('05-02-2014', 'dd-mm-yyyy'), 12);
commit;
prompt 50 records loaded
prompt Loading ENTRIES...
insert into ENTRIES (entryid, ticketid, entrydate)
values (1, 1, to_date('26-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (2, 2, to_date('26-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (3, 3, to_date('26-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (4, 4, to_date('26-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (5, 5, to_date('26-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (6, 6, to_date('26-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (7, 8, to_date('26-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (8, 11, to_date('26-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (9, 3, to_date('27-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (10, 4, to_date('27-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (11, 5, to_date('27-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (12, 7, to_date('27-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (13, 10, to_date('27-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (14, 11, to_date('27-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (15, 4, to_date('28-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (16, 5, to_date('28-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (17, 10, to_date('28-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (18, 11, to_date('28-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (19, 12, to_date('28-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (20, 4, to_date('29-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (21, 5, to_date('29-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (22, 9, to_date('29-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (23, 11, to_date('29-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (24, 4, to_date('30-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (25, 5, to_date('30-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (26, 11, to_date('30-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (27, 13, to_date('30-10-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (31, 21, to_date('01-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (32, 22, to_date('01-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (33, 23, to_date('01-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (34, 24, to_date('01-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (35, 25, to_date('01-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (36, 26, to_date('01-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (37, 28, to_date('01-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (38, 31, to_date('01-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (39, 23, to_date('02-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (40, 24, to_date('02-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (41, 25, to_date('02-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (42, 27, to_date('02-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (43, 30, to_date('02-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (44, 31, to_date('02-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (45, 24, to_date('03-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (46, 25, to_date('03-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (47, 30, to_date('03-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (48, 31, to_date('03-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (50, 24, to_date('04-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (51, 25, to_date('04-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (52, 29, to_date('04-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (53, 31, to_date('04-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (54, 24, to_date('05-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (55, 25, to_date('05-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (56, 31, to_date('05-12-2013', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (61, 41, to_date('17-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (62, 42, to_date('17-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (63, 43, to_date('17-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (64, 44, to_date('17-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (65, 45, to_date('17-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (66, 46, to_date('17-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (67, 48, to_date('17-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (68, 51, to_date('17-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (69, 43, to_date('18-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (70, 44, to_date('18-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (71, 45, to_date('18-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (72, 47, to_date('18-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (73, 50, to_date('18-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (74, 51, to_date('18-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (75, 44, to_date('19-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (76, 45, to_date('19-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (77, 50, to_date('19-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (78, 51, to_date('19-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (79, 52, to_date('19-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (80, 44, to_date('20-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (81, 45, to_date('20-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (82, 49, to_date('20-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (83, 51, to_date('20-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (84, 44, to_date('21-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (85, 45, to_date('21-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (86, 51, to_date('21-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (87, 53, to_date('21-01-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (92, 61, to_date('01-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (93, 62, to_date('01-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (94, 63, to_date('01-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (95, 64, to_date('01-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (96, 65, to_date('01-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (97, 66, to_date('01-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (98, 68, to_date('01-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (99, 71, to_date('01-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (100, 63, to_date('02-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (101, 64, to_date('02-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (102, 65, to_date('02-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (103, 67, to_date('02-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (104, 70, to_date('02-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (105, 71, to_date('02-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (106, 64, to_date('03-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (107, 65, to_date('03-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (108, 70, to_date('03-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (109, 71, to_date('03-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (110, 72, to_date('03-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (111, 64, to_date('04-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (112, 65, to_date('04-02-2014', 'dd-mm-yyyy'));
commit;
prompt 100 records committed...
insert into ENTRIES (entryid, ticketid, entrydate)
values (113, 69, to_date('04-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (114, 71, to_date('04-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (115, 64, to_date('05-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (116, 65, to_date('05-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (117, 71, to_date('05-02-2014', 'dd-mm-yyyy'));
insert into ENTRIES (entryid, ticketid, entrydate)
values (118, 73, to_date('05-02-2014', 'dd-mm-yyyy'));
commit;
prompt 106 records loaded
prompt Loading VISITORS2BRANCHESOFTRADE...
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (1, 1);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (1, 3);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (2, 2);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (3, 2);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (3, 4);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (4, 1);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (4, 2);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (5, 3);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (6, 4);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (7, 2);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (7, 3);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (8, 4);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (9, 1);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (9, 3);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (10, 4);
insert into VISITORS2BRANCHESOFTRADE (visitorid, branchoftradeid)
values (11, 3);
commit;
prompt 16 records loaded
prompt Enabling foreign key constraints for TRADEFAIRS...
alter table TRADEFAIRS enable constraint TRAIDFAIRTYPESTRADEFAIRS;
prompt Enabling foreign key constraints for STATES...
alter table STATES enable constraint COUNTRIESSTATES;
prompt Enabling foreign key constraints for VISITORS...
alter table VISITORS enable constraint COUNTRIESVISITORS;
alter table VISITORS enable constraint STATESVISITORS;
prompt Enabling foreign key constraints for TICKETS...
alter table TICKETS enable constraint TICKETTYPESTICKETS;
alter table TICKETS enable constraint TRADEFAIRSTICKETS;
alter table TICKETS enable constraint VISITORSTICKETS;
prompt Enabling foreign key constraints for ENTRIES...
alter table ENTRIES enable constraint TICKETSENTRIES;
prompt Enabling foreign key constraints for VISITORS2BRANCHESOFTRADE...
alter table VISITORS2BRANCHESOFTRADE enable constraint BRANCHESOFTRADEVISITORBRANCH;
alter table VISITORS2BRANCHESOFTRADE enable constraint VISITORSVISITORS2BRANCHESOFTRA;
prompt Enabling triggers for BRANCHESOFTRADE...
alter table BRANCHESOFTRADE enable all triggers;
prompt Enabling triggers for COUNTRIES...
alter table COUNTRIES enable all triggers;
prompt Enabling triggers for TICKETTYPES...
alter table TICKETTYPES enable all triggers;
prompt Enabling triggers for TRADEFAIRTYPES...
alter table TRADEFAIRTYPES enable all triggers;
prompt Enabling triggers for TRADEFAIRS...
alter table TRADEFAIRS enable all triggers;
prompt Enabling triggers for STATES...
alter table STATES enable all triggers;
prompt Enabling triggers for VISITORS...
alter table VISITORS enable all triggers;
prompt Enabling triggers for TICKETS...
alter table TICKETS enable all triggers;
prompt Enabling triggers for ENTRIES...
alter table ENTRIES enable all triggers;
prompt Enabling triggers for VISITORS2BRANCHESOFTRADE...
alter table VISITORS2BRANCHESOFTRADE enable all triggers;
set feedback on
set define on
prompt Done.
